TmetaBasic.cpp File Reference
`#include <utl/meta/meta.h>`
`#include <gtest/gtest.h>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

struct | TmetaBasic::Identity< T >

## Namespaces

| TmetaBasic

## Functions

| TmetaBasic::TEST (TmetaBasic, IntegrealType)
| TmetaBasic::TEST (TmetaBasic, IntegrealConstant)
| TmetaBasic::TEST (TmetaBasic, BasicTypes)
| TmetaBasic::TEST (TmetaBasic, Selection)
| TmetaBasic::TEST (TmetaBasic, LogicalOperations)
| TmetaBasic::TEST (TmetaBasic, ArithmeticOperations)
| TmetaBasic::TEST (TmetaBasic, ComparisonOperations)
| TmetaBasic::TEST (TmetaBasic, BitOperations)
template<typename T , typename = when<same_<T, int>::type::value>>
int | TmetaBasic::check1 (T x)
int | TmetaBasic::check1 (...)
template<typename T , typename = enable_if_t<same_<T, int>::type::value, void>>
int | TmetaBasic::check2 (T x)
int | TmetaBasic::check2 (...)
| TmetaBasic::TEST (TmetaBasic, Sfinae)

## Detailed Description

Copyright (C) 2018 Christos Choutouridis

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Definition in file TmetaBasic.cpp.